---
title: Home
summary: Welcome to the Minecraft Utilities documentation!
---

# Getting Started

Welcome to the Minecraft Utilities documentation! You can find information on how to use the various features of the API.

## Features

See below for a list of features that are currently available in the API.

| Feature                                                  | Description                            |
|----------------------------------------------------------|----------------------------------------|
| [Player Lookup](/docs/player/player-lookup)              | Get a player's information             |
| [Player Username To Uuid](/docs/player/username-to-uuid) | Get a player's skin parts              |
| [Player Skin Parts](/docs/player/skin-parts)             | Get a player's skin parts              |
| [Server Lookup](/docs/server/server-lookup)              | Get a server's information             |
| [Server Icon](/docs/server/favicon)                      | Get a server's icon                    |
| [Server Preview](/docs/server/preview)                   | View the server as if you were in-game |
| [Mojang Status](/docs/mojang/endpoint-status)            | Get the status of Mojang's services    |


## Libraries

We offer a few different libraries for different languages to help you get started with the Minecraft Utilities plugin.

- [Java](/docs/libraries/java)
- [JavaScript](/docs/libraries/javascript)

## API

You can view our Postman collection [here](https://www.postman.com/imfascinated/workspace/minecraft-utilities) to see all the available endpoints and how to use them.